=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DEMBED_TRANSLATIONS=ON -DBUILD_TESTING=ON
